Bug 813741 - [abrt] simple-scan-3.2.0-2.fc16: libusb_submit_transfer: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
[abrt] simple-scan-3.2.0-2.fc16: libusb_submit_transfer: Process /usr/bin/sim...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:1347cf36b2c4cd62190d7a84b62...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 06:56 EDT by Bernard Ladenthin
Modified: 2012-06-10 05:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 05:20:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (18.77 KB, text/plain)
2012-04-18 06:56 EDT, Bernard Ladenthin
no flags Details
File: build_ids (6.97 KB, text/plain)
2012-04-18 06:56 EDT, Bernard Ladenthin
no flags Details
File: maps (73.46 KB, text/plain)
2012-04-18 06:56 EDT, Bernard Ladenthin
no flags Details
File: backtrace (60.85 KB, text/plain)
2012-04-18 06:56 EDT, Bernard Ladenthin
no flags Details

  None (edit)
Description Bernard Ladenthin 2012-04-18 06:56:15 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        simple-scan
comment:        Hello, first plug in the scanner (Canon LIDE 110) in a USB HUB without enough power for scanning. Start scanning in text mode. The Scanning LED Lights arent work and you get a black image. Now wait for completely scanning. Plug the scanner to another USB Port wih enough power, press scan again and the application crashes. I can reproduce this bug every time.
crash_function: libusb_submit_transfer
executable:     /usr/bin/simple-scan
kernel:         3.3.1-5.fc16.x86_64
pid:            12153
pwd:            /home/bernard
reason:         Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
time:           Mi 18 Apr 2012 12:44:57 CEST
uid:            1000
username:       bernard

backtrace:      Text file, 62311 bytes
build_ids:      Text file, 7134 bytes
dso_list:       Text file, 19223 bytes
maps:           Text file, 75219 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=polaris.ladenthin
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=9b818b6104f79a6889b5662b0000001c-1334696766.199680-1880515900
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-1Gytmj
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=bernard
:USERNAME=bernard
:MAIL=/var/spool/mail/bernard
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/bernard/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/bernard
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1893
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/bernard
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=bernard
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-68TIqUYXOH,guid=7cdba236be0e4513db715e5e00000065
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/bernard
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-bernard-9oOynZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1898,unix/unix:/tmp/.ICE-unix/1898
:GPG_AGENT_INFO=/tmp/keyring-1Gytmj/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-1Gytmj/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-2126-polaris.ladenthin-simple-scan-39_TIME26909726
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/simple-scan.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=12153

smolt_data:
:
:
:Allgemein
:=================================
:UUID: 77f45210-d9ce-42c6-afa2-82f741e742e3
:OS: Fedora release 16 (Verne)
:Standard-Runlevel: Unknown
:Sprache: de_DE.utf8
:Plattform: x86_64
:BogoMIPS: 4385.52
:CPU-Anbieter: GenuineIntel
:CPU-Modell: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
:CPU-Stepping: 7
:CPU Familie: 6
:CPU-Modellnummer: 42
:Anzahl der CPUs: 8
:CPU-Geschwindigkeit: 2201
:Systemspeicher: 7870
:System-Swap: 9919
:Anbieter: LENOVO
:System: 42435GG ThinkPad T520
:Form-Faktor: Notebook
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux aktiviert: 1
:SELinux-Richtlinie: targeted
:SELinux erzwingen: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Geräte
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(32902:278:6058:8657) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Dateisysteminformationen
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_polaris-lv_root / ext4 4096 4096 13092026 10444075 10313053 3276800 2980546 2980546
:/dev/sda1 /boot ext4 1024 1024 508745 410016 384416 128016 127738 127738
:/dev/mapper/vg_polaris-lv_home /home ext4 4096 4096 167190159 39363934 30995806 41844736 41602362 41602362
:/dev/sdb1 WITHHELD vfat 16384 16384 242112 196570 196570 0 0 0
:

var_log_messages:
:Apr 18 12:39:52 polaris kernel: [26581.625749] simple-scan[11877] general protection ip:3a99005140 sp:7f5e2ccbc930 error:0 in libusb-1.0.so.0.1.0[3a99000000+e000]
:Apr 18 12:39:52 polaris abrt[11914]: Saved core dump of pid 11874 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-04-18-12:39:52-11874 (41529344 bytes)
:Apr 18 12:44:57 polaris kernel: [26886.376687] simple-scan[12157] general protection ip:3a99005140 sp:7f43bfffe8d0 error:0 in libusb-1.0.so.0.1.0[3a99000000+e000]
:Apr 18 12:44:58 polaris abrt[12188]: Saved core dump of pid 12153 (/usr/bin/simple-scan) to /var/spool/abrt/ccpp-2012-04-18-12:44:57-12153 (41570304 bytes)

xsession_errors:
:(simple-scan:11874): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:11874): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:11947): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:11947): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:12011): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:12011): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:12153): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
:(simple-scan:12153): Gtk-WARNING **: Unknown property: GtkDialog.has-separator
Comment 1 Bernard Ladenthin 2012-04-18 06:56:19 EDT
Created attachment 578312 [details]
File: dso_list
Comment 2 Bernard Ladenthin 2012-04-18 06:56:21 EDT
Created attachment 578313 [details]
File: build_ids
Comment 3 Bernard Ladenthin 2012-04-18 06:56:24 EDT
Created attachment 578314 [details]
File: maps
Comment 4 Bernard Ladenthin 2012-04-18 06:56:26 EDT
Created attachment 578315 [details]
File: backtrace
Comment 5 Bernard Ladenthin 2012-05-19 19:26:43 EDT
Sorry, I am happy too early. The error comes from SANE. The function sane_get_devices in genesys.c returns all connected devices. Also the devices that are already unplugged after the start of simple-scan. Is there no function in libsane or call back for a unplug? So you dont need a USB Port with enough power.

gdb --args simple-scan --debug

plug in, plug of, plug in a scanner and you see it two times in the list. Of course somebody could implement in sane_get_devices this function should only return the last handle from one model. But it is dirty.
Comment 6 Bernard Ladenthin 2012-06-10 05:20:56 EDT
This fix is available in latest git source code and will be part of SANE 1.0.23 release.

https://alioth.debian.org/tracker/?func=detail&atid=410366&aid=313646&group_id=30186

Note You need to log in before you can comment on or make changes to this bug.